@import url('https://fonts.googleapis.com/css2?family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&family=Source+Sans+3:ital,wght@0,200..900;1,200..900&display=swap');

:root{
    --pastel :rgba(142, 196, 203, 0.2);
    --ocean : #2D5194;
    --lemon : rgba(186, 194, 95, 0.60)
}

body {
    margin: 0;
    padding: 0;
    font-family: "Source Sans 3", sans-serif;
}


                                                           /*NAV*/
/*-----------------------------------------------------------------------------------------------------------------------------------*/



nav {
    background-color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0px 2px 8px 0px rgba(99, 99, 99, 0.20);
    position: fixed;
    top: 0;
    width: 100%;
}

.menu-toggle {
    display: none;
}

nav a {

    display: block;
    text-decoration: none;
    color: black;
    border-bottom: 2px solid transparent;
}

nav a:hover {
    color: var(--ocean);
    border-bottom: 2px solid var(--ocean);
}

nav ul {
    list-style-type: none;
    padding: 0;
}

nav ul li {
    float: left;
    width: 20%;
    text-align: center;
    position: relative;
}

nav ul::after {
    content: "";
    display: table;
    clear: both;
}

.down {
    display: none;
    box-shadow: 0px 1px 2px #CCC;
    background-color: white;
}

nav > ul li:hover .down {
    display: block;
}

.down li {
    float: none;
    width: 100%;
    text-align: left;
}

.down a {
    padding: 10px;
    border: none;
}

.down a:hover {
    border-bottom: none;
    background-color: rgba(200, 200, 200, 0.1);
}

.drop > a::after {
    font-size: 12px;
}

.down {
    display: none;
    box-shadow: 0px 1px 2px #CCC;
    background-color: white;
    position: absolute;
    width: 100%;
    z-index: 1000;
    padding-left: 0;
}


                                                           /*FOOTER*/
/*-----------------------------------------------------------------------------------------------------------------------------------*/

.doctolib-footer {
    width: clamp(30%, 50%, 100%);
    height: auto;
}

footer {
    display: flex;
    justify-content: space-around;
    padding: 3%;
}

.infoelise, .legals, .articles{
    display: flex;
    flex-direction: column;
}

.cta {
    display: flex;
    flex-direction: column;
}

.footer-btn {
    padding: 2% 5%;
    border-radius: 50px;
    background-color: var(--ocean);
    color: white;
    border: none;
    text-align: center;
    font-size: 18px;
    width: 30vw;
}


                                                          /*STYLES*/
/*-----------------------------------------------------------------------------------------------------------------------------------*/



p {
    font-size: 24px;
}

h1 {
    margin-bottom: 2%;
    font-family: "Libre Baskerville", serif;
    font-size: 56px;
}

h2 {
    margin-bottom: 3%;
    width: 50vw;
    font-family: "Libre Baskerville";
    font-size: 36px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

h3 {
    font-family: "Libre Baskerville";
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

h4 {
    font-family: "Libre Baskerville";
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

h5 {
    font-family: "Libre Baskerville";
    font-size: 24px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

h6 {
    font-family: "Source Sans Pro";
    font-size: 28px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

h7 {
    color: var(--Ocean-blue, #2D5194);
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 20px;
    margin-bottom: 2vh;
}

.title {
    display: flex;
    flex-direction: column;
    align-items: center;
    
}

.logo-elise {
    min-width: 30px;
    height: auto;
}



                                                           /*HERO*/
/*-----------------------------------------------------------------------------------------------------------------------------------*/


.hero {
    background-color: var(--pastel);
    padding: 5%;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.hero-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.hero-text span {
    font-size: 26px;
    margin-bottom: 2%;
}

.hero-buttons {
    display: flex;
    gap: 3%;
}

.blue-button {
    padding: 2% 5%;
    border-radius: 50px;
    background-color: var(--ocean);
    color: white;
    border: none;
    text-align: center;
    font-size: 18px;
}

.white-button {
    padding: 2% 5%;
    border-radius: 50px;
    border: solid 1.5px;
    border-color: var(--ocean);
    text-align: center;
    font-size: 18px;
}

.hero-img {
    border-radius: 20% 0px 0px 0px;
    width: clamp(30%, 400px, 100%);
    height: auto;
    box-shadow: 0px 6px 12px -2px rgba(50, 50, 93, 0.25), 0px 3px 7px -3px rgba(0, 0, 0, 0.30);
    margin: 3%;
}


                                                            /*BLUE*/
/*-----------------------------------------------------------------------------------------------------------------------------------*/



.blue-section {
    background-color: var(--pastel);
    padding: 5%;
}

.blue-elements {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.blue-text {
    width: 30vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.blue-img {
    border-radius: 20% 0px 0px 0px;
    box-shadow: 0px 6px 12px -2px rgba(50, 50, 93, 0.25), 0px 3px 7px -3px rgba(0, 0, 0, 0.30);
    width: clamp(30%, 400px, 100%);
    height: auto;
    max-height: 600px;
}



                                                            /*WHITE*/
/*-----------------------------------------------------------------------------------------------------------------------------------*/



.white-section {
    padding: 5%;
}

.white-elements {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.white-text {
    width: 30vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.white-img {
    border-radius: 0px 20% 0px 0px;
    box-shadow: 0px 6px 12px -2px rgba(50, 50, 93, 0.25), 0px 3px 7px -3px rgba(0, 0, 0, 0.30);
    width: clamp(30%, 400px, 100%);
    height: auto;
    max-height: 600px;
    
}


                                                            /*YELLOW*/
/*-----------------------------------------------------------------------------------------------------------------------------------*/

.yellow-section {
    margin: 0;
    padding: 5%;
    background-color: var(--lemon);
    display: flex;
    align-items: center;
    justify-content: center;
}

.yellow-elements {
    display: flex;
    align-items: center;
    justify-content: center;
}

.yellow-elements h5 {
    text-align: center;
    width: 40vw;
}

.yellow-section p {
    width: 45vw;
}


                                                            /*OCEAN*/
/*-----------------------------------------------------------------------------------------------------------------------------------*/


.ocean-section {
    background-color: var(--ocean);
    padding: 5%;
}

.ocean-elements {
    display: flex;
    justify-content: center;
    align-items: center;
}

.ocean-elements p {
    font-size: 20px;
    color: white;
    width: 50vw;
    margin-left: 5%;
}

.ocean.text {
    display: block;
}
.ocean-elements img {
    max-height: 200px;
}


                                                             /*BLOG*/
/*-----------------------------------------------------------------------------------------------------------------------------------*/

.blog-section {
    margin: auto;
    width: 50vw;
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 1/3 1/3 1/3;
}

.blog-post {
    border-radius: 28px;
    padding: 5%;
    margin: 5%;
    display: block;
    box-shadow: 0px 2px 8px 0px rgba(99, 99, 99, 0.20);
}

.blog-img {
    border-radius: 14px;
    width: 100%;
    height: auto;
}

.blog-title {
    margin: 0;
}

.blog-text {
    margin: 0;
}

.blog-img, .blog-title, .blog-text {
    margin-bottom: 2vh;
}




                                                        /*EXCEPTIONS*/
/*-----------------------------------------------------------------------------------------------------------------------------------*/

.double-border {
    border-radius: 0px 20% 0px 20%;
    box-shadow: 0px 6px 12px -2px rgba(50, 50, 93, 0.25), 0px 3px 7px -3px rgba(0, 0, 0, 0.30);
    min-height: 30px;
    width: auto;
}
 
.list {
    display: flex;
}

ul {
    width: 50%;
}

.larger-text {
    width: 35vw;
    margin-bottom: 0;
}

.grid-section {
    padding: 2%;
    background-color: var(--pastel);
    display: grid;
    grid-template-columns: 25% 25% 25% 25%;
    grid-template-rows: 50% 50%;
}

.grid-element {
    margin: 8%;
    display: block;
}

.page-elements {
    display: flex;
    flex-direction: row;
    justify-content: space-around;

}

.page-elements div {
    display: flex;
    justify-content: center;
    align-items: center;
}

.page-ul {
    padding: 0;
    text-align: center;
    display: flex;
    list-style: none;
    gap: 10px;
}

.article-hero {
    width: 40vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.article-title {
    font-family: "Libre Baskerville";
    font-size: 36px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

                                                       /*MOBILE*/
/*-----------------------------------------------------------------------------------------------------------------------------------*/

@media (max-width: 768px) {
    /*----styles----*/

    h1 {
        font-size: 32px;
        text-align: center;
    }

    h2 {
        font-size: 20px;
    }

    p {
        font-size: 18px;
    }

    .hero-text span {
        font-size: 20px;
        text-align: center;
    }

    .hero {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    /*----navbar----*/
    .menu-toggle {
        display: block;
        cursor: pointer;
    }

    nav {
        position: sticky;
        top: 0;
        height: 45px;
    }

    nav ul {
        display: none;
        
    }

    nav ul.show {
        display: flex;
        flex-direction: column;
        background-color: white;
        width: 100%;
        gap: 30px;
        padding: 30px 0;
    }

    .doctolib-btn {
        display: none;
    }

    /*----Footer----*/

    footer {
        display: flex;
        flex-direction: column;
    }

   /*----White----*/

   .white-elements {
        flex-wrap: wrap-reverse;
   }

   .white-text {
        width: 90vw;
   }

   /*----blue----*/

   .blue-text {
        width: 90vw;
   }


   /*----yellow----*/

   .yellow-section p {
        width: 80vw;
   }
}